Subject: Re: 回复： bug#31745: 回复：Re: 回复：bug#31745: Frame's bug whenwindow-system

From: Robert Pluim <[email-masked]>
Date: Fri, 08 Jun 2018 13:33:33 +0200

"刘力铭" <[email-masked]> writes:

[you dropped the bug address again]

>> The scaling I mean is the type where you have a HiDpi screen (eg 4K),
>> and tell your window manager to pretend that each pixel is actually
>> twice the size. Itʼs usually configured either in your display
>> settings or in gnome-tweak-tool or similar. I donʼt know offhand how
>> itʼs done in Mate. It can cause problems when Emacs doesnʼt apply the
>> scaling factor correctly.
>>
>> Itʼs possible this is related to recent versions of Gnome (my system
>> where it doesnʼt reproduce is still on 3.18)
>
>
>
> My screen's resolution is actually 141 dpi, but X's default is 96 dpi and i don't change it. I also set font's dpi in this value via `.font.conf` and `.Xresources`.
>
>
> And now, i change it to 141 via `/etc/X11/xorg.conf.d/90-monitor.conf` and also change the dpi of font. The reasults of `xdpyinfo | grep -B2 resolution` is as follows:
>
>
> screen #0:
>    dimensions:    1920x1080 pixels (345x194 millimeters)
>    resolution:    141x141 dots per inch 
>
>
>
> And the reasult of `xrdb -query` is also 141. But the behavior of emacs is the same as it before.
> Or is 96 dpi means scaling is turned off？ If so, this may not the problem about scaling.

It may not be scaling. I can see something similar here that goes away
when I specify --no-x-resources to emacs. Which x-resource is
responsible I donʼt know.

Robert